summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-xpackage/debian-package.sh58
-rw-r--r--service/MANIFEST.in4
-rw-r--r--service/debian/changelog5
-rw-r--r--service/debian/compat1
-rw-r--r--service/debian/control36
-rwxr-xr-xservice/debian/rules26
-rw-r--r--service/debian/source/format1
-rw-r--r--service/debian/source/options1
-rw-r--r--service/setup.py2
9 files changed, 133 insertions, 1 deletions
diff --git a/package/debian-package.sh b/package/debian-package.sh
new file mode 100755
index 00000000..343e9e94
--- /dev/null
+++ b/package/debian-package.sh
@@ -0,0 +1,58 @@
+#!/bin/bash
+#
+# Copyright (c) 2014 ThoughtWorks Deutschland GmbH
+#
+# Pixelated is free software: you can redistribute it and/or modify
+# it under the terms of the GNU Affero General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+#
+# Pixelated is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU Affero General Public License for more details.
+#
+# You should have received a copy of the GNU Affero General Public License
+# along with Pixelated. If not, see <http://www.gnu.org/licenses/>.
+
+set -e
+
+#mv service/debian .
+#
+#if [ -n "$GO_PIPELINE_COUNTER" ]; then
+# echo "USING COUNTER NUMBER: $GO_PIPELINE_COUNTER"
+# git-dch -a -S --snapshot-number=$GO_PIPELINE_COUNTER
+#else
+# echo "NO COUNTER NUMBER PRESENT"
+# git-dch -a -S
+#fi
+
+#mv debian service
+
+pushd service
+
+python setup.py sdist
+
+TEMP_DIR=$(mktemp -d)
+
+cp dist/pixelated-user-agent*.tar.gz $TEMP_DIR/
+
+pushd $TEMP_DIR
+cp pixelated-user-agent*.tar.gz pixelated-user-agent_0.1.orig.tar.gz
+tar -xzf pixelated-user-agent-0.1.tar.gz
+cd pixelated*
+
+dpkg-buildpackage -rfakeroot -uc -us
+
+# manual build
+#mkdir pkg-root
+#python setup.py install --root=pkg-root --install-layout=deb
+#fakeroot dpkg --build pkg-root ../python-pixelated-dispatcher_0.1-1_all.deb
+
+cp $TEMP_DIR/python-pixelated-user-agent*all.deb /tmp/
+
+popd
+popd
+
+rm -Rf $TEMP_DIR
+
diff --git a/service/MANIFEST.in b/service/MANIFEST.in
new file mode 100644
index 00000000..e18fa770
--- /dev/null
+++ b/service/MANIFEST.in
@@ -0,0 +1,4 @@
+include README.md
+recursive-include pixelated/certificates *.*
+recursive-include debian *
+
diff --git a/service/debian/changelog b/service/debian/changelog
new file mode 100644
index 00000000..529ea5be
--- /dev/null
+++ b/service/debian/changelog
@@ -0,0 +1,5 @@
+pixelated-user-agent (0.1-1) unstable; urgency=low
+
+ * source package automatically created by stdeb 0.8.2
+
+ -- Thoughtworks <pixelated-team@thoughtworks.com> Mon, 08 Sep 2014 04:57:38 -0700
diff --git a/service/debian/compat b/service/debian/compat
new file mode 100644
index 00000000..7f8f011e
--- /dev/null
+++ b/service/debian/compat
@@ -0,0 +1 @@
+7
diff --git a/service/debian/control b/service/debian/control
new file mode 100644
index 00000000..f7f36e2a
--- /dev/null
+++ b/service/debian/control
@@ -0,0 +1,36 @@
+Source: pixelated-user-agent
+Maintainer: Thoughtworks <pixelated-team@thoughtworks.com>
+Section: python
+Priority: optional
+Build-Depends: python-setuptools (>= 0.6b3), python-all (>= 2.6.6-3), debhelper (>= 7.4.3)
+Standards-Version: 3.9.1
+
+
+
+Package: python-pixelated-user-agent
+Architecture: all
+Depends: python (>= 2.7), python (<< 2.8), leap-keymanager, soledad-common, soledad-client,, leap-mail, gunicorn, python-srp, python-dirspec, python-u1db
+Description: API to serve the pixelated front-end requests
+ Pixelated User Agent Service
+ ============================
+ .
+ This is the service for the Pixelated User Agent. The primary purpose of this is to integrate well with the Pixelated Provider and provide all the capabilities necessary for the UI to work well.
+ .
+ The aim is to support these resources/endpoints:
+ .
+ ```
+ GET /mails
+ DELETE /mails
+ POST /mails
+ PUT /mails
+ POST /mails/read
+ .
+ GET /mail/:id
+ DELETE /mail/:id
+ POST /mail/:id/star
+ POST /mail/:id/unstar
+ POST /mail/:id/replied
+ POST /mail/:id/unreplied
+
+
+
diff --git a/service/debian/rules b/service/debian/rules
new file mode 100755
index 00000000..2ba15014
--- /dev/null
+++ b/service/debian/rules
@@ -0,0 +1,26 @@
+#!/usr/bin/make -f
+
+# This file was automatically generated by stdeb 0.8.2 at
+# Mon, 08 Sep 2014 04:57:38 -0700
+
+%:
+ dh $@ --with python2 --buildsystem=python_distutils
+
+
+override_dh_auto_clean:
+ python setup.py clean -a
+ find . -name \*.pyc -exec rm {} \;
+
+
+
+override_dh_auto_build:
+ python setup.py build --force
+
+
+
+override_dh_auto_install:
+ python setup.py install --force --root=debian/python-pixelated-user-agent --no-compile -O0 --install-layout=deb --prefix=/usr
+
+
+
+
diff --git a/service/debian/source/format b/service/debian/source/format
new file mode 100644
index 00000000..163aaf8d
--- /dev/null
+++ b/service/debian/source/format
@@ -0,0 +1 @@
+3.0 (quilt)
diff --git a/service/debian/source/options b/service/debian/source/options
new file mode 100644
index 00000000..bcc4bbb3
--- /dev/null
+++ b/service/debian/source/options
@@ -0,0 +1 @@
+extend-diff-ignore="\.egg-info$" \ No newline at end of file
diff --git a/service/setup.py b/service/setup.py
index c8b0b6e8..9151b320 100644
--- a/service/setup.py
+++ b/service/setup.py
@@ -55,7 +55,7 @@ def data_files():
def read(fname):
return open(os.path.join(os.path.dirname(__file__), fname)).read()
-setup(name='Pixelated User Agent Service',
+setup(name='pixelated-user-agent',
version='0.1',
description='API to serve the pixelated front-end requests',
long_description=read('README.md'),